#include "rotation.h"

int main()
{
  int lmax,l,i,j,n;
  double x,alpha,beta,gamma;
  MatL *matj, *matr, *tmp;

  scanf("%d",&lmax);
  scanf("%lf %lf %lf",&alpha,&beta,&gamma);

  matj = read_matJ(lmax, "numMatJ.dat");
  matr = matl_calloc(lmax);

  matl_rotation(lmax, alpha, beta, gamma, matr, matj);

  for (l=2;l<=lmax;l++) {
    for (i=0;i<=2*l;i++) {
      for (j=0;j<=2*l;j++) {
        x = gsl_matrix_get(matr->lmat[l],i,j);
        printf("%30.26e\n",x);
      }
    }
    printf( '\n');
  }

  return EXIT_SUCCESS;
}
